Retrieve the content of the basket associated with the session.
curl --request GET \
--url https://{apiBaseUrl}/v2/{sessionId}/basketconst url = 'https://{apiBaseUrl}/v2/{sessionId}/basket';
const options = {method: 'GET'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v2/{sessionId}/basket"
response = requests.get(url)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v2/{sessionId}/basket",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v2/{sessionId}/basket");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://{apiBaseUrl}/v2/{sessionId}/basket")
.asString();{
"rooms": [
{
"roomId": 29447,
"name": "Chambre Double - Standard",
"guestPosition": 1,
"description": {
"summary": [],
"pictures": [],
"amenities": [
{
"text": "Non fumeur",
"value": "NonSmoking"
}
],
"beds": [
{
"type": {
"text": "Lit double",
"value": "Double"
},
"count": 1,
"twoPersonConvertible": false
}
],
"bedConfigurations": [],
"area": {
"text": "15 m²",
"value": 15
},
"type": "Double"
},
"defaultOccupancy": {
"occupancyId": 0,
"isDefault": true,
"definition": {
"text": "2 personnes",
"value": {
"isDetailed": false,
"personCount": 2,
"adultCount": 0,
"childCount": 0,
"infantCount": 0
}
}
},
"occupancies": [
{
"occupancyId": 0,
"rateId": "20260608;20260610;32798",
"availableQuantity": 20,
"selectedQuantity": 2,
"price": {
"converted": {
"text": "361,80 €",
"value": {
"amount": 361.8,
"currency": "EUR"
}
},
"original": {
"text": "434,16 USD",
"value": {
"amount": 434.16,
"currency": "USD"
}
}
},
"definition": {
"text": "2 personnes",
"value": {
"isDetailed": false,
"personCount": 2,
"adultCount": 0,
"childCount": 0,
"infantCount": 0
}
},
"rateInformation": {
"code": "4NIGHTS",
"name": "Tarif 4ème nuit offerte",
"forceDisplayName": false,
"isPrivate": false,
"sortOrder": 5,
"summary": [],
"cancelConditions": {
"name": [
{
"text": "Annulation gratuite avant le 08/01/2018",
"value": "Default"
},
{
"text": "Annulation gratuite sous conditions",
"value": "Short"
}
],
"summary": [
{
"text": "Si annulée ou en cas de non présentation à l'hôtel, la première nuit sans les extras est facturée et non remboursable.",
"value": "Default"
}
]
},
"qualifier": {
"text": "Pension complète",
"value": "FullBoard"
},
"bookingFees": {
"percent": 0,
"nominal": 0
},
"deposit": {
"depositType": "FirstNightWithoutExtras",
"percent": 100
},
"pictures": [
{
"templates": [
{
"name": "TEMPLATE1",
"url": "http://url/to/template1/image1"
},
{
"name": "TEMPLATE2",
"url": "http://url/to/template2/image1"
}
],
"sortOrder": 1
},
{
"templates": [
{
"name": "TEMPLATE1",
"url": "http://url/to/template1/image2"
},
{
"name": "TEMPLATE2",
"url": "http://url/to/template2/image2"
}
],
"sortOrder": 2
}
],
"mealPlans": []
},
"taxes": {
"included": {
"amount": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"details": []
},
"excluded": {
"amount": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"details": []
},
"onSite": {
"amount": {
"text": "12 €",
"value": {
"amount": 12,
"currency": "EUR"
}
},
"details": [
{
"name": "Taxe de séjour",
"type": "StayTax",
"description": "2,00 € par personne par nuit",
"amount": {
"converted": {
"text": "12 €",
"value": {
"amount": 12,
"currency": "EUR"
}
},
"original": {
"text": "14,40 USD",
"value": {
"amount": 14.4,
"currency": "USD"
}
}
},
"dailyTotalAmounts": [
{
"value": {
"converted": {
"text": "2,50 €",
"value": {
"amount": 2.5,
"currency": "EUR"
}
},
"original": {
"text": "2 $",
"value": {
"amount": 2,
"currency": "USD"
}
}
},
"start": "2026-06-08",
"end": "2026-06-13"
}
],
"applyToEntity": false
}
]
}
},
"serviceStatus": {
"internetStatus": "WithCharge",
"breakfastStatus": "Included"
},
"isLoyalty": false,
"membershipLevel": 0,
"canUseRedemption": false,
"redemptionQuantity": 0
}
],
"extras": [
{
"extraId": 18140,
"name": "Lit supplémentaire",
"availableQuantity": 20,
"selectedQuantity": {
"text": "1 Lit supplémentaire pour 2 jours",
"value": 1
},
"price": {
"converted": {
"text": "46 €",
"value": {
"amount": 46,
"currency": "EUR"
}
},
"original": {
"text": "55,20 USD",
"value": {
"amount": 55.2,
"currency": "USD"
}
}
},
"unitPrice": {
"converted": {
"text": "23 €",
"value": {
"amount": 23,
"currency": "EUR"
}
},
"original": {
"text": "27,60 USD",
"value": {
"amount": 27.6,
"currency": "USD"
}
}
},
"description": {
"class": "Room",
"type": {
"text": "Lit supplémentaire",
"value": "AdditionalBed"
},
"gratuitousnessType": {
"text": "",
"value": "None"
},
"stock": "Unlimited",
"summary": [],
"pictures": [],
"maximumQuantity": 20,
"isMandatory": false,
"isPreselected": false,
"payOnline": false,
"sortOrder": 1,
"countingType": {
"text": "par jour",
"value": "Day"
},
"occupancyDefinition": {
"text": "1 personne",
"value": {
"isDetailed": false,
"personCount": 1,
"adultCount": 0,
"childCount": 0,
"infantCount": 0
}
}
}
}
],
"beddingConfiguration": {
"configurationId": "969473bf-447c-4c4d-bff9-b0fef06c580d",
"description": "1 Lit double, 2 Lits simples"
}
}
],
"hotelExtras": [
{
"extraId": 18263,
"name": "MacAllan",
"availableQuantity": 20,
"selectedQuantity": {
"text": "1 MacAllan",
"value": 1
},
"description": {
"class": "Room",
"type": {
"value": "Undefined"
},
"gratuitousnessType": {
"value": "None"
},
"stock": "Uncountable",
"summary": [],
"pictures": [],
"maximumQuantity": 0,
"isMandatory": false,
"isPreselected": false,
"payOnline": false,
"sortOrder": 0,
"countingType": {
"value": "Booking"
},
"occupancyDefinition": {}
}
}
],
"price": {
"offerCode": {
"offerCodeId": "00000000-0000-0000-0000-000000000000",
"code": "DISCOUNT",
"description": "This is a DISCOUNT!!!",
"percent": {
"text": "10%",
"value": 10
},
"calculationMode": "PercentageWithoutExtras",
"isPublic": false,
"isApplied": false,
"isMobile": false,
"isFlashSales": false,
"displayCountdown": false,
"endDate": "2026-07-03T08:05:26.7707459Z"
},
"totalPrice": {
"converted": {
"text": "1 310,20 €",
"value": {
"amount": 1310.2,
"currency": "EUR"
}
},
"original": {
"text": "1 572,24 USD",
"value": {
"amount": 1572.24,
"currency": "USD"
}
}
},
"discountedAmount": {
"converted": {
"text": "-123,80 €",
"value": {
"amount": -123.8,
"currency": "EUR"
}
},
"original": {
"text": "-148,56 USD",
"value": {
"amount": -148.56,
"currency": "USD"
}
}
},
"isLoyalty": false,
"canUseRedemption": false,
"redemptionQuantity": 0
},
"taxes": {
"included": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"excluded": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"onSite": {
"text": "12 €",
"value": {
"amount": 12,
"currency": "EUR"
}
}
},
"isBookingRequest": false,
"isComplete": false
}{
"code": "InvalidUserAuthentication",
"message": "<string>"
}Basket
Retrieve the content of the basket
Retrieve the content of the basket associated with the session
GET
/
v2
/
{sessionId}
/
basket
Retrieve the content of the basket associated with the session.
curl --request GET \
--url https://{apiBaseUrl}/v2/{sessionId}/basketconst url = 'https://{apiBaseUrl}/v2/{sessionId}/basket';
const options = {method: 'GET'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v2/{sessionId}/basket"
response = requests.get(url)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v2/{sessionId}/basket",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v2/{sessionId}/basket");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://{apiBaseUrl}/v2/{sessionId}/basket")
.asString();{
"rooms": [
{
"roomId": 29447,
"name": "Chambre Double - Standard",
"guestPosition": 1,
"description": {
"summary": [],
"pictures": [],
"amenities": [
{
"text": "Non fumeur",
"value": "NonSmoking"
}
],
"beds": [
{
"type": {
"text": "Lit double",
"value": "Double"
},
"count": 1,
"twoPersonConvertible": false
}
],
"bedConfigurations": [],
"area": {
"text": "15 m²",
"value": 15
},
"type": "Double"
},
"defaultOccupancy": {
"occupancyId": 0,
"isDefault": true,
"definition": {
"text": "2 personnes",
"value": {
"isDetailed": false,
"personCount": 2,
"adultCount": 0,
"childCount": 0,
"infantCount": 0
}
}
},
"occupancies": [
{
"occupancyId": 0,
"rateId": "20260608;20260610;32798",
"availableQuantity": 20,
"selectedQuantity": 2,
"price": {
"converted": {
"text": "361,80 €",
"value": {
"amount": 361.8,
"currency": "EUR"
}
},
"original": {
"text": "434,16 USD",
"value": {
"amount": 434.16,
"currency": "USD"
}
}
},
"definition": {
"text": "2 personnes",
"value": {
"isDetailed": false,
"personCount": 2,
"adultCount": 0,
"childCount": 0,
"infantCount": 0
}
},
"rateInformation": {
"code": "4NIGHTS",
"name": "Tarif 4ème nuit offerte",
"forceDisplayName": false,
"isPrivate": false,
"sortOrder": 5,
"summary": [],
"cancelConditions": {
"name": [
{
"text": "Annulation gratuite avant le 08/01/2018",
"value": "Default"
},
{
"text": "Annulation gratuite sous conditions",
"value": "Short"
}
],
"summary": [
{
"text": "Si annulée ou en cas de non présentation à l'hôtel, la première nuit sans les extras est facturée et non remboursable.",
"value": "Default"
}
]
},
"qualifier": {
"text": "Pension complète",
"value": "FullBoard"
},
"bookingFees": {
"percent": 0,
"nominal": 0
},
"deposit": {
"depositType": "FirstNightWithoutExtras",
"percent": 100
},
"pictures": [
{
"templates": [
{
"name": "TEMPLATE1",
"url": "http://url/to/template1/image1"
},
{
"name": "TEMPLATE2",
"url": "http://url/to/template2/image1"
}
],
"sortOrder": 1
},
{
"templates": [
{
"name": "TEMPLATE1",
"url": "http://url/to/template1/image2"
},
{
"name": "TEMPLATE2",
"url": "http://url/to/template2/image2"
}
],
"sortOrder": 2
}
],
"mealPlans": []
},
"taxes": {
"included": {
"amount": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"details": []
},
"excluded": {
"amount": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"details": []
},
"onSite": {
"amount": {
"text": "12 €",
"value": {
"amount": 12,
"currency": "EUR"
}
},
"details": [
{
"name": "Taxe de séjour",
"type": "StayTax",
"description": "2,00 € par personne par nuit",
"amount": {
"converted": {
"text": "12 €",
"value": {
"amount": 12,
"currency": "EUR"
}
},
"original": {
"text": "14,40 USD",
"value": {
"amount": 14.4,
"currency": "USD"
}
}
},
"dailyTotalAmounts": [
{
"value": {
"converted": {
"text": "2,50 €",
"value": {
"amount": 2.5,
"currency": "EUR"
}
},
"original": {
"text": "2 $",
"value": {
"amount": 2,
"currency": "USD"
}
}
},
"start": "2026-06-08",
"end": "2026-06-13"
}
],
"applyToEntity": false
}
]
}
},
"serviceStatus": {
"internetStatus": "WithCharge",
"breakfastStatus": "Included"
},
"isLoyalty": false,
"membershipLevel": 0,
"canUseRedemption": false,
"redemptionQuantity": 0
}
],
"extras": [
{
"extraId": 18140,
"name": "Lit supplémentaire",
"availableQuantity": 20,
"selectedQuantity": {
"text": "1 Lit supplémentaire pour 2 jours",
"value": 1
},
"price": {
"converted": {
"text": "46 €",
"value": {
"amount": 46,
"currency": "EUR"
}
},
"original": {
"text": "55,20 USD",
"value": {
"amount": 55.2,
"currency": "USD"
}
}
},
"unitPrice": {
"converted": {
"text": "23 €",
"value": {
"amount": 23,
"currency": "EUR"
}
},
"original": {
"text": "27,60 USD",
"value": {
"amount": 27.6,
"currency": "USD"
}
}
},
"description": {
"class": "Room",
"type": {
"text": "Lit supplémentaire",
"value": "AdditionalBed"
},
"gratuitousnessType": {
"text": "",
"value": "None"
},
"stock": "Unlimited",
"summary": [],
"pictures": [],
"maximumQuantity": 20,
"isMandatory": false,
"isPreselected": false,
"payOnline": false,
"sortOrder": 1,
"countingType": {
"text": "par jour",
"value": "Day"
},
"occupancyDefinition": {
"text": "1 personne",
"value": {
"isDetailed": false,
"personCount": 1,
"adultCount": 0,
"childCount": 0,
"infantCount": 0
}
}
}
}
],
"beddingConfiguration": {
"configurationId": "969473bf-447c-4c4d-bff9-b0fef06c580d",
"description": "1 Lit double, 2 Lits simples"
}
}
],
"hotelExtras": [
{
"extraId": 18263,
"name": "MacAllan",
"availableQuantity": 20,
"selectedQuantity": {
"text": "1 MacAllan",
"value": 1
},
"description": {
"class": "Room",
"type": {
"value": "Undefined"
},
"gratuitousnessType": {
"value": "None"
},
"stock": "Uncountable",
"summary": [],
"pictures": [],
"maximumQuantity": 0,
"isMandatory": false,
"isPreselected": false,
"payOnline": false,
"sortOrder": 0,
"countingType": {
"value": "Booking"
},
"occupancyDefinition": {}
}
}
],
"price": {
"offerCode": {
"offerCodeId": "00000000-0000-0000-0000-000000000000",
"code": "DISCOUNT",
"description": "This is a DISCOUNT!!!",
"percent": {
"text": "10%",
"value": 10
},
"calculationMode": "PercentageWithoutExtras",
"isPublic": false,
"isApplied": false,
"isMobile": false,
"isFlashSales": false,
"displayCountdown": false,
"endDate": "2026-07-03T08:05:26.7707459Z"
},
"totalPrice": {
"converted": {
"text": "1 310,20 €",
"value": {
"amount": 1310.2,
"currency": "EUR"
}
},
"original": {
"text": "1 572,24 USD",
"value": {
"amount": 1572.24,
"currency": "USD"
}
}
},
"discountedAmount": {
"converted": {
"text": "-123,80 €",
"value": {
"amount": -123.8,
"currency": "EUR"
}
},
"original": {
"text": "-148,56 USD",
"value": {
"amount": -148.56,
"currency": "USD"
}
}
},
"isLoyalty": false,
"canUseRedemption": false,
"redemptionQuantity": 0
},
"taxes": {
"included": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"excluded": {
"value": {
"amount": 0,
"currency": "EUR"
}
},
"onSite": {
"text": "12 €",
"value": {
"amount": 12,
"currency": "EUR"
}
}
},
"isBookingRequest": false,
"isComplete": false
}{
"code": "InvalidUserAuthentication",
"message": "<string>"
}Headers
The properties for display options.
The description type for display options.
The picture template for display options.
The impersonation to use.
Path Parameters
Was this page helpful?